Bug 249016 - CVE-2006-5297 Multiple mutt tempfile race conditions
CVE-2006-5297 Multiple mutt tempfile race conditions
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mutt (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-07-20 08:13 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-07 13:26:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-07-20 08:13:33 EDT
Clone for RHEL2.1

+++ This bug was initially created as a clone of Bug #211085 +++

Description of problem:

Mutt contains two race condition issues in its temporary file handling system.
First one is caused by O_EXCL problem on NFS volumes (CVE-2006-5297). Second one
is lack of check of file mode and ownership of temporary file after file
creation attempt (CVE-2006-5298).                                              

Version-Release number of selected component (if applicable):

All mutt versions prior to 1.5.12
mutt 1.4.1-12.el4

How reproducible:

Racing with mutt wile it attempts to create and use a temporary file.

This [1] is how was the issue fixed in mutt's CVS, following the discussion and
patch proposal in mutt-dev mailing list [2]. Eventually review.

[1] http://dev.mutt.org/cgi-bin/viewcvs.cgi/mutt/lib.c?r1=3.20&r2=3.21
[2] http://marc.theaimsgroup.com/?l=mutt-dev&m=115999486426292&w=2

-- Additional comment from lkundrak@redhat.com on 2006-10-17 05:30 EST --
Also Affects RHEL 2.1, RHEL 3, RHEL 4, and FC 1 to FC 5.

-- Additional comment from mlichvar@redhat.com on 2006-10-24 12:03 EST --
The O_EXCL on NFS issue fixed in FC5, FC6, devel.

The second issue is not actually a bug as explained later in the mailing list.

-- Additional comment from lkundrak@redhat.com on 2007-05-24 13:15 EST --
PM: please ACK. This will get fixed in RHSA-2007:0386 alongside
bug 241247: CVE-2007-2683 Buffer overflow in mutt's gecos structure handling and
bug 241191: CVE-2007-1558 fetchmail, mutt: APOP vulnerability
Comment 1 Josh Bressers 2007-09-07 13:26:16 EDT
This flaw has been rated as having a low severity by the Red Hat Security
Response Team.  More information about this rating can be found here:

The risks associated with fixing this bug are greater than the low severity
security risk. We therefore currently have no plans to fix this flaw in Red
Hat Enterprise Linux 2.1 which is in maintenance mode.

If you believe this judgement to be in error, please reopen this bug with an
appropriate comment.

Note You need to log in before you can comment on or make changes to this bug.